Package Details: python-tts-git 0.22.0.r9.gdbf1a08a-4

Git Clone URL: https://aur.archlinux.org/python-tts-git.git (read-only, click to copy)
Package Base: python-tts-git
Description: Coqui deep learning toolkit for Text-to-Speech, battle-tested in research and production
Upstream URL: https://github.com/coqui-ai/TTS
Licenses: MPL2
Conflicts: python-tts
Provides: python-tts, tts
Submitter: actionless
Maintainer: actionless
Last Packager: actionless
Votes: 0
Popularity: 0.000000
First Submitted: 2024-12-30 09:58 (UTC)
Last Updated: 2024-12-31 00:00 (UTC)

Latest Comments

actionless commented on 2025-03-18 08:42 (UTC)

@ozkar99, if you want to apply a patch to non-git code - use patch command instead

ozkar99 commented on 2025-03-18 07:53 (UTC)

I had git clone issues (maybe github rate-limited me), so heres a patch with the release tar in case its useful for other folks (unfortunately this disables headless due to failure to run git commands):

diff --git a/PKGBUILD b/PKGBUILD
index a237c98..6e4225c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@

 _pkgname="python-tts"
 pkgname="${_pkgname}-git"
-pkgver=0.22.0.r9.gdbf1a08a
+pkgver=0.22.0
 pkgrel=4
 pkgdesc="Coqui deep learning toolkit for Text-to-Speech, battle-tested in research and production"
 url="https://github.com/coqui-ai/TTS"
@@ -55,23 +55,18 @@ optdepends=("python-umap-learn: for notebooks"
 )
 options=("!strip")
 source=(
-    "$_pkgname::git+https://github.com/coqui-ai/TTS/"
+    "https://github.com/coqui-ai/TTS/archive/refs/tags/v0.22.0.tar.gz"
     headless.patch
 )
 b2sums=('SKIP'
         '1dfef5cde2f801f3b6db4b15a8f636767f32b5a0ef8bb5fe74f81fb739c5b47397226fd35dbc661ab6d57928ea9cc9fac67feeca86b473b79575696f53db4bb0')

-pkgver() {
-    cd "${srcdir}/${_pkgname}" || exit 2
-    set -o pipefail
-    git describe --tags --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g;s/^v//g' || echo 0.0.1
-}
-
-
 prepare(){
-    cd "${srcdir}/${_pkgname}" || exit 2
+    tar -xvf "v${pkgver}.tar.gz"
+
+    cd "TTS-${pkgver}" || exit 2
     # remove hardcoded versions
-    git checkout -- '*'
+    # git checkout -- '*'
     sed -i "setup.py" \
         -e "s|3.12|4.0|g"
     sed -i "requirements.txt" \
@@ -81,15 +76,15 @@ prepare(){
         -re 's|"cython.*",|"cython",|g' \
         -re "s|numpy==[0-9]+\.[0-9]+\.[0-9]+|numpy|g"
     # apply patch for using the lib on headless server:
-    git apply "${srcdir}/headless.patch"
+    # git apply "${srcdir}/headless.patch"
 }

 build(){
-    cd "${srcdir}/${_pkgname}" || exit 2
+    cd "TTS-${pkgver}" || exit 2
     python -m build --wheel --no-isolation
 }

 package(){
-    cd "${srcdir}/${_pkgname}" || exit 2
+    cd "TTS-${pkgver}" || exit 2
     python -m installer --destdir="$pkgdir" dist/*.whl
 }